Package com.evopdf

# Class PdfSubmitFormAction

java.lang.Object
com.evopdf.PdfAction
com.evopdf.PdfSubmitFormAction

public class PdfSubmitFormAction extends PdfAction
Represents a Submit action in a PDF form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfSubmitFormAction(String url)`
  Creates a PDF form submit action

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PdfFormField[]`
  `fields()`
  Gets the list of fields to be included or excluded from submit based on `includeFields()` property value.
  `int`
  `flags()`
  Gets a bitwise OR of flags from `PdfFormSubmitFlags` specifying various characteristics of the action
  `boolean`
  `includeFields()`
  Gets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from submit
  `void`
  `setFields(PdfFormField[] fields)`
  Sets the list of fields to be included or excluded from submit based on `includeFields()` property value.
  `void`
  `setFlags(int flags)`
  Sets a bitwise OR of flags from `PdfFormSubmitFlags` specifying various characteristics of the action
  `void`
  `setIncludeFields(boolean includeFields)`
  Sets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from submit.
  `void`
  `setUrl(String url)`
  Sets the URL of the script at the Web server that will process the submission
  `String`
  `url()`
  Gets the URL of the script at the Web server that will process the submission

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfSubmitFormAction

    public PdfSubmitFormAction(String url)
    Creates a PDF form submit action
    Parameters:
      `url` - the URL of the script at the Web server that will process the submission

- ## Method Details

  - ### url

    public String url()
    Gets the URL of the script at the Web server that will process the submission
    Returns:
      the URL of the script at the Web server that will process the submission

  - ### setUrl

    public void setUrl(String url)
    Sets the URL of the script at the Web server that will process the submission
    Parameters:
      `url` - the URL to set

  - ### flags

    public int flags()
    Gets a bitwise OR of flags from `PdfFormSubmitFlags` specifying various characteristics of the action
    Returns:
      the current flags

  - ### setFlags

    public void setFlags(int flags)
    Sets a bitwise OR of flags from `PdfFormSubmitFlags` specifying various characteristics of the action
    Parameters:
      `flags` - the flags to set

  - ### includeFields

    public boolean includeFields()
    Gets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from submit
    Returns:
      the flag value

  - ### setIncludeFields

    public void setIncludeFields(boolean includeFields)
    Sets the flag indicating if the Fields property defines the fields to be included or the fields to be excluded from submit. By default this property is true and the Fields property defines the list of fields to to be included in submit
    Parameters:
      `includeFields` - the flag value to set

  - ### fields

    public PdfFormField[] fields()
    Gets the list of fields to be included or excluded from submit based on `includeFields()` property value. If no fields are added to this array and `includeFields()` property is true then all the fields are submitted
    Returns:
      the list of fields

  - ### setFields

    public void setFields(PdfFormField[] fields)
    Sets the list of fields to be included or excluded from submit based on `includeFields()` property value. If no fields are added to this array and `includeFields()` property is true then all the fields are submitted
    Parameters:
      `fields` - the list of fields to set